<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/Audio/EqualizerTypes.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">EqualizerTypes.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;array&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;<a class="el" href="hash_8h_source.html">AVSCommon/Utils/functional/hash.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_success_result_8h_source.html">AVSCommon/Utils/Error/SuccessResult.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for EqualizerTypes.h:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_types_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8h">
<area shape="rect" id="node5" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="299,119,491,157"/>
<area shape="rect" id="node9" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="514,119,679,157"/>
<area shape="rect" id="node10" href="_result_8h.html" title="Result.h" alt="" coords="561,205,632,231"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_types_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_audio_2_equalizer_types_8hdep">
<area shape="rect" id="node2" href="_equalizer_configuration_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerConfigurationInterface.h" alt="" coords="936,119,1197,184"/>
<area shape="rect" id="node24" href="_equalizer_controller_listener_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListenerInterface.h" alt="" coords="2393,119,2680,184"/>
<area shape="rect" id="node26" href="_equalizer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="3174,119,3414,184"/>
<area shape="rect" id="node34" href="_equalizer_mode_controller_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerModeControllerInterface.h" alt="" coords="1549,119,1821,184"/>
<area shape="rect" id="node38" href="_equalizer_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="2910,119,3150,184"/>
<area shape="rect" id="node45" href="_equalizer_band_mapper_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerBandMapperInterface.h" alt="" coords="4231,119,4456,184"/>
<area shape="rect" id="node46" href="_equalizer_linear_band_mapper_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerLinearBandMapper.h" alt="" coords="4533,239,4757,304"/>
<area shape="rect" id="node48" href="_equalizer_linear_band_mapper_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/EqualizerLinearBandMapperTest.cpp" alt="" coords="5065,365,5334,417"/>
<area shape="rect" id="node49" href="_equalizer_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerUtils.h" alt="" coords="3545,119,3769,184"/>
<area shape="rect" id="node3" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="1507,472,1734,537"/>
<area shape="rect" id="node10" href="_equalizer_runtime_setup_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/EqualizerRuntimeSetup.h" alt="" coords="1282,239,1509,304"/>
<area shape="rect" id="node12" href="_mock_equalizer_configuration_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerConfigurationInterface.h" alt="" coords="557,239,850,304"/>
<area shape="rect" id="node13" href="_equalizer_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/EqualizerController.h" alt="" coords="2425,239,2649,304"/>
<area shape="rect" id="node17" href="_equalizer_controller_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/EqualizerControllerTest.cpp" alt="" coords="1882,365,2095,417"/>
<area shape="rect" id="node18" href="_in_memory_equalizer_configuration_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/InMemoryEqualizerConfiguration.h" alt="" coords="252,239,483,304"/>
<area shape="rect" id="node19" href="_s_d_k_config_equalizer_configuration_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/SDKConfigEqualizerConfiguration.h" alt="" coords="606,359,843,424"/>
<area shape="rect" id="node4" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="1752,585,1980,637"/>
<area shape="rect" id="node5" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="1364,685,1587,737"/>
<area shape="rect" id="node9" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="1513,585,1728,637"/>
<area shape="rect" id="node6" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="1365,785,1583,837"/>
<area shape="rect" id="node7" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="1291,885,1510,937"/>
<area shape="rect" id="node8" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="1261,985,1541,1024"/>
<area shape="rect" id="node11" href="_equalizer_runtime_setup_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/EqualizerRuntime\lSetup.cpp" alt="" coords="1433,359,1665,424"/>
<area shape="rect" id="node14" href="_equalizer_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/include/Equalizer\l/EqualizerCapabilityAgent.h" alt="" coords="2593,359,2779,424"/>
<area shape="rect" id="node16" href="_equalizer_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerController.cpp" alt="" coords="2296,365,2500,417"/>
<area shape="rect" id="node15" href="_equalizer_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/src/EqualizerCapability\lAgent.cpp" alt="" coords="2576,472,2796,537"/>
<area shape="rect" id="node22" href="_in_memory_equalizer_configuration_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/InMemoryEqualizerConfiguration.cpp" alt="" coords="48,365,314,417"/>
<area shape="rect" id="node23" href="_in_memory_equalizer_configuration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/InMemoryEqualizerConfiguration\lTest.cpp" alt="" coords="337,359,582,424"/>
<area shape="rect" id="node20" href="_s_d_k_config_equalizer_configuration_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/SDKConfigEqualizerConfiguration.cpp" alt="" coords="303,479,576,531"/>
<area shape="rect" id="node21" href="_s_d_k_config_equalizer_configuration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/SDKConfigEqualizerConfiguration\lTest.cpp" alt="" coords="599,472,850,537"/>
<area shape="rect" id="node25" href="_mock_equalizer_controller_listener_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerControllerListener\lInterface.h" alt="" coords="1861,232,2117,311"/>
<area shape="rect" id="node27" href="_mock_equalizer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerInterface.h" alt="" coords="2774,239,2993,304"/>
<area shape="rect" id="node28" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="4212,239,4475,304"/>
<area shape="rect" id="node31" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="3694,239,3924,304"/>
<area shape="rect" id="node29" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="4513,365,4776,417"/>
<area shape="rect" id="node30" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="4198,365,4489,417"/>
<area shape="rect" id="node32" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="3943,365,4173,417"/>
<area shape="rect" id="node33" href="_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/test/MediaPlayerTest.cpp" alt="" coords="3690,365,3920,417"/>
<area shape="rect" id="node35" href="_mock_equalizer_mode_controller_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerModeControllerInterface.h" alt="" coords="1533,239,1837,304"/>
<area shape="rect" id="node36" href="_sample_equalizer_mode_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleEqualizerMode\lController.h" alt="" coords="925,239,1157,304"/>
<area shape="rect" id="node37" href="_sample_equalizer_mode_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleEqualizer\lModeController.cpp" alt="" coords="976,365,1221,417"/>
<area shape="rect" id="node39" href="_equalizer_storage_interface_test_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterfaceTest.h" alt="" coords="3119,239,3371,304"/>
<area shape="rect" id="node42" href="_mock_equalizer_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/Audio/MockEqualizerStorageInterface.h" alt="" coords="2140,239,2400,304"/>
<area shape="rect" id="node43" href="_misc_d_b_equalizer_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/include/EqualizerImplementations\l/MiscDBEqualizerStorage.h" alt="" coords="3395,239,3620,304"/>
<area shape="rect" id="node40" href="_equalizer_storage_interface_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/src/EqualizerStorageInterface\lTest.cpp" alt="" coords="2873,359,3099,424"/>
<area shape="rect" id="node41" href="_misc_d_b_equalizer_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/MiscDBEqualizerStorageTest.cpp" alt="" coords="3123,365,3372,417"/>
<area shape="rect" id="node44" href="_misc_d_b_equalizer_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/MiscDBEqualizerStorage.cpp" alt="" coords="3446,365,3665,417"/>
<area shape="rect" id="node47" href="_equalizer_linear_band_mapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerLinearBandMapper.cpp" alt="" coords="4801,365,5041,417"/>
<area shape="rect" id="node50" href="_equalizer_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerUtils.cpp" alt="" coords="3947,245,4151,297"/>
</map>
</div>
</div>
<p><a href="_equalizer_types_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">alexaClientSDK::avsCommon::sdkInterfaces</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html">alexaClientSDK::avsCommon::sdkInterfaces::audio</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a9e92dbf094527d2bf8ead4429f0ef9ea"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a> = std::unordered_map&lt; EqualizerBand, int, utils::functional::EnumClassHash &gt;</td></tr>
<tr class="memdesc:a9e92dbf094527d2bf8ead4429f0ef9ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of bands with their level values. This is an alias for <code>EqualizerBand</code> to band level (int) map.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">More...</a><br /></td></tr>
<tr class="separator:a9e92dbf094527d2bf8ead4429f0ef9ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aefac08194235035b5ea98c255dd6081e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::BASS</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea9029b1c3eca5f9c1cf7d9939e815b750">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::MIDRANGE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081ea6481bb83f7c61a109bd727e3fa30917b">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand::TREBLE</a>
 }</td></tr>
<tr class="separator:aefac08194235035b5ea98c255dd6081e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ccd1cb28b9957443f33efd5885729a4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab50339a10e1de285ac99d4c3990b8693">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::NONE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ade5e5ba1f70956d42bcdb5731fa69e42">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::MOVIE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ad74c735013cdd2b883e25ccca502a2e9">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::MUSIC</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a75f4d5610c115778464c9fe9e3a410ac">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::NIGHT</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4ab019ad8de11c274ee79d28955ee8e147">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::SPORT</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4a271ddf829afeece44d8732757fba1a66">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode::TV</a>
<br />
 }</td></tr>
<tr class="separator:a6ccd1cb28b9957443f33efd5885729a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a706d31c0871558653a14349fe34dd2e1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a706d31c0871558653a14349fe34dd2e1">alexaClientSDK::avsCommon::sdkInterfaces::audio::operator==</a> (const EqualizerState &amp;state1, const EqualizerState &amp;state2)</td></tr>
<tr class="separator:a706d31c0871558653a14349fe34dd2e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a1a95fd294c1fb0369c0bd97cf69f3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a99a1a95fd294c1fb0369c0bd97cf69f3">alexaClientSDK::avsCommon::sdkInterfaces::audio::equalizerBandToString</a> (EqualizerBand band)</td></tr>
<tr class="separator:a99a1a95fd294c1fb0369c0bd97cf69f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa41e8bf5cdca313769fd238ec8df92f8"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aa41e8bf5cdca313769fd238ec8df92f8">alexaClientSDK::avsCommon::sdkInterfaces::audio::operator&lt;&lt;</a> (std::ostream &amp;stream, EqualizerBand band)</td></tr>
<tr class="separator:aa41e8bf5cdca313769fd238ec8df92f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c5e6680d3ecdc0c02ce6069cebf33d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a86c5e6680d3ecdc0c02ce6069cebf33d">alexaClientSDK::avsCommon::sdkInterfaces::audio::equalizerModeToString</a> (EqualizerMode mode)</td></tr>
<tr class="separator:a86c5e6680d3ecdc0c02ce6069cebf33d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88228b626f903133c7011fb8a250d56"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#ab88228b626f903133c7011fb8a250d56">alexaClientSDK::avsCommon::sdkInterfaces::audio::operator&lt;&lt;</a> (std::ostream &amp;stream, EqualizerMode mode)</td></tr>
<tr class="separator:ab88228b626f903133c7011fb8a250d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7016a96eaf1181d96474af6619a2fb97"><td class="memItemLeft" align="right" valign="top">utils::error::SuccessResult&lt; EqualizerBand &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a7016a96eaf1181d96474af6619a2fb97">alexaClientSDK::avsCommon::sdkInterfaces::audio::stringToEqualizerBand</a> (const std::string &amp;stringValue)</td></tr>
<tr class="separator:a7016a96eaf1181d96474af6619a2fb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b96af0e439453f778cf20fd365f0b2e"><td class="memItemLeft" align="right" valign="top">utils::error::SuccessResult&lt; EqualizerMode &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2b96af0e439453f778cf20fd365f0b2e">alexaClientSDK::avsCommon::sdkInterfaces::audio::stringToEqualizerMode</a> (const std::string &amp;stringValue)</td></tr>
<tr class="separator:a2b96af0e439453f778cf20fd365f0b2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a523357943786773d11573da5ddf89768"><td class="memItemLeft" align="right" valign="top">const std::array&lt; EqualizerBand, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a523357943786773d11573da5ddf89768">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandValues</a></td></tr>
<tr class="separator:a523357943786773d11573da5ddf89768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f2c6a5a2f45a603d76c81d944f354a9"><td class="memItemLeft" align="right" valign="top">const std::array&lt; EqualizerMode, 6 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2f2c6a5a2f45a603d76c81d944f354a9">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerModeValues</a></td></tr>
<tr class="separator:a2f2c6a5a2f45a603d76c81d944f354a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
